commit:     b137b40b299708bba64448cd151df9b2c02c1331
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 14 08:33:08 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Apr 14 08:38:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b137b40b

net-libs/daq: Version 2.0.7

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-libs/daq/Manifest         |  1 +
 net-libs/daq/daq-2.0.7.ebuild | 82 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/net-libs/daq/Manifest b/net-libs/daq/Manifest
index ada29e95cb7..a1e28f4600a 100644
--- a/net-libs/daq/Manifest
+++ b/net-libs/daq/Manifest
@@ -1 +1,2 @@
 DIST daq-2.0.6.tar.gz 518013 BLAKE2B 
702ab20c776b9047230bb1ac36574068e461a850ed5d15959c314d62b0b828c792cf23d19cdb411ba8c067348ae74dd2f011376ccbe0376c44536ad58fa1bba9
 SHA512 
61dd5408c587e57999445b9549ac539ffc5bb16ddc179601de1065fc5e251c1893536d8aa2251096e34b54093529d3578e7b5d97e3514cb2bbf4de113639b08c
+DIST daq-2.0.7.tar.gz 520287 BLAKE2B 
799a8e240c9e359a08ac74ef4fe0d92882d4635f270beaf5f5077bb20cc200d6cf8c55e2c68a59ecabac361ce00619d66ddeb4d7e9a25094b16b3a858673099f
 SHA512 
9bedddbc2d952526ab4e1d65f4507eb914507f8b3b5702ecf7137f8a210c690703469162a117a76cb8376a5639db46bd767fc48789ba7294a0bad26d4cd0ede2

diff --git a/net-libs/daq/daq-2.0.7.ebuild b/net-libs/daq/daq-2.0.7.ebuild
new file mode 100644
index 00000000000..9abd8473323
--- /dev/null
+++ b/net-libs/daq/daq-2.0.7.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+inherit autotools multilib
+
+DESCRIPTION="Data Acquisition library, for packet I/O"
+HOMEPAGE="https://www.snort.org/";
+SRC_URI="https://www.snort.org/downloads/snort/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="ipv6 +afpacket +dump +pcap nfq ipq static-libs"
+
+PCAP_DEPEND=">=net-libs/libpcap-1.0.0"
+IPT_DEPEND="
+       >=net-firewall/iptables-1.4.10
+       dev-libs/libdnet
+       net-libs/libnetfilter_queue
+
+"
+DEPEND="
+       dump? ( ${PCAP_DEPEND} )
+       ipq? ( ${IPT_DEPEND} )
+       nfq? ( ${IPT_DEPEND} )
+       pcap? ( ${PCAP_DEPEND} )
+"
+RDEPEND="${DEPEND}"
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.0.6-parallel-grammar.patch #673390
+       "${FILESDIR}"/${PN}-2.0.6-static-libs.patch
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       # We forced libpcap to 1.x, so we can set this cache var so
+       # cross-compiling doesn't break on us.
+       daq_cv_libpcap_version_1x=yes \
+       econf \
+               $(use_enable afpacket afpacket-module) \
+               $(use_enable dump dump-module) \
+               $(use_enable ipq ipq-module) \
+               $(use_enable ipv6) \
+               $(use_enable nfq nfq-module) \
+               $(use_enable pcap pcap-module) \
+               $(use_enable static-libs static) \
+               --disable-bundled-modules \
+               --disable-ipfw-module \
+               --enable-shared
+}
+
+DOCS=( ChangeLog README )
+
+src_install() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+
+       # If not using static-libs don't install the static libraries
+       # This has been bugged upstream
+       if ! use static-libs; then
+               for z in libdaq_static libdaq_static_modules; do
+                       rm "${D}"/usr/$(get_libdir)/${z}.a
+               done
+       fi
+}
+
+pkg_postinst() {
+       einfo "The Data Acquisition library (DAQ) for packet I/O replaces 
direct"
+       einfo "calls to PCAP functions with an abstraction layer that 
facilitates"
+       einfo "operation on a variety of hardware and software interfaces 
without"
+       einfo "requiring changes to application such as Snort."
+       einfo
+       einfo "Please see the README file for DAQ for information about 
specific"
+       einfo "DAQ modules."
+}

Reply via email to